# Khaotic Engine Reborn: display_plane_class Class Reference

Loading...
Searching...
No Matches
display_plane_class Class Reference

## Public Member Functions

| display_plane_class (const display_plane_class &)
bool | Initialize (ID3D11Device *, float, float)
void | Shutdown ()
void | Render (ID3D11DeviceContext *)
int | GetIndexCount ()

## Detailed Description

Definition at line 14 of file display_plane_class.h.

## Constructor & Destructor Documentation

## display_plane_class() [1/2]

display_plane_class::display_plane_class | ( |  | ) |

Definition at line 4 of file display_plane_class.cpp.

{
m_vertexBuffer = 0;
m_indexBuffer = 0;
}

## display_plane_class() [2/2]

display_plane_class::display_plane_class | ( | const display_plane_class & | other | ) |

Definition at line 11 of file display_plane_class.cpp.

{
}

## ~display_plane_class()

display_plane_class::~display_plane_class | ( |  | ) |

Definition at line 16 of file display_plane_class.cpp.

{
}

## Member Function Documentation

## GetIndexCount()

int display_plane_class::GetIndexCount | ( |  | ) |

Definition at line 56 of file display_plane_class.cpp.

{
return m_indexCount;
}

## Initialize()

bool display_plane_class::Initialize | ( | ID3D11Device * | device,
|  | float | width,
|  | float | height )

Definition at line 20 of file display_plane_class.cpp.

{
Logger::Get().Log("Initializing display_plane_class, width: " + std::to_string(width) + ", height: " + std::to_string(height), __FILE__, __LINE__, Logger::LogLevel::Initialize);
bool result;
// initialize the vertex and index buffer that hold the geometry for the button.
result = InitializeBuffers(device, width, height);
if (!result)
{
Logger::Get().Log("Could not initialize buffers", __FILE__, __LINE__, Logger::LogLevel::Error);
return false;
}
return true;
}

## Render()

void display_plane_class::Render | ( | ID3D11DeviceContext * | deviceContext | ) |

Definition at line 47 of file display_plane_class.cpp.

{
// Put the vertex and index buffers on the graphics pipeline to prepare them for drawing.
RenderBuffers(deviceContext);
return;
}

## Shutdown()

void display_plane_class::Shutdown | ( |  | ) |

Definition at line 38 of file display_plane_class.cpp.

{
// Release the vertex and index buffers.
ShutdownBuffers();
return;
}

The documentation for this class was generated from the following files:

- enginecustom/src/inc/system/display_plane_class.h
- enginecustom/src/src/system/display_plane_class.cpp